import org.apache.poi.hssf.usermodel.*;
import java.io.*;

class TestCase
{
	public static void main(String[] args)
	{
		for (String s : args) {
			try {
				new TestCase().test(s);
				System.out.println("Worked for: " + s);
			}
			catch(Throwable t) {
				System.out.println("Failed for: " + s);
				t.printStackTrace();
			}
		}
	}
	
	void test(String fn) throws Exception
	{
		FileInputStream in = new FileInputStream(fn + ".xls");
		HSSFWorkbook wb = new HSSFWorkbook(in);
		
		System.out.println("There is " + wb.getNumberOfSheets() + " sheet.");
		wb.cloneSheet(0);
		System.out.println("There are " + wb.getNumberOfSheets() + " sheets.");
		
		FileOutputStream os = new FileOutputStream(fn + "-out.xls");
		wb.write(os);
		os.close();
	}
}